Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
20c1::/16
First address
20c1::
Last address
20c1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
20c1:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
1.c.0.2.ip6.arpa
Split into smaller subnets/28

20c1::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
120c1::/2820c1:f:ffff:ffff:ffff:ffff:ffff:ffff
220c1:10::/2820c1:1f:ffff:ffff:ffff:ffff:ffff:ffff
320c1:20::/2820c1:2f:ffff:ffff:ffff:ffff:ffff:ffff
420c1:30::/2820c1:3f:ffff:ffff:ffff:ffff:ffff:ffff
520c1:40::/2820c1:4f:ffff:ffff:ffff:ffff:ffff:ffff
620c1:50::/2820c1:5f:ffff:ffff:ffff:ffff:ffff:ffff
720c1:60::/2820c1:6f:ffff:ffff:ffff:ffff:ffff:ffff
820c1:70::/2820c1:7f:ffff:ffff:ffff:ffff:ffff:ffff
920c1:80::/2820c1:8f:ffff:ffff:ffff:ffff:ffff:ffff
1020c1:90::/2820c1:9f:ffff:ffff:ffff:ffff:ffff:ffff
1120c1:a0::/2820c1:af:ffff:ffff:ffff:ffff:ffff:ffff
1220c1:b0::/2820c1:bf:ffff:ffff:ffff:ffff:ffff:ffff
1320c1:c0::/2820c1:cf:ffff:ffff:ffff:ffff:ffff:ffff
1420c1:d0::/2820c1:df:ffff:ffff:ffff:ffff:ffff:ffff
1520c1:e0::/2820c1:ef:ffff:ffff:ffff:ffff:ffff:ffff
1620c1:f0::/2820c1:ff:ffff:ffff:ffff:ffff:ffff:ffff
1720c1:100::/2820c1:10f:ffff:ffff:ffff:ffff:ffff:ffff
1820c1:110::/2820c1:11f:ffff:ffff:ffff:ffff:ffff:ffff
1920c1:120::/2820c1:12f:ffff:ffff:ffff:ffff:ffff:ffff
2020c1:130::/2820c1:13f:ffff:ffff:ffff:ffff:ffff:ffff
2120c1:140::/2820c1:14f:ffff:ffff:ffff:ffff:ffff:ffff
2220c1:150::/2820c1:15f:ffff:ffff:ffff:ffff:ffff:ffff
2320c1:160::/2820c1:16f:ffff:ffff:ffff:ffff:ffff:ffff
2420c1:170::/2820c1:17f:ffff:ffff:ffff:ffff:ffff:ffff
2520c1:180::/2820c1:18f:ffff:ffff:ffff:ffff:ffff:ffff
2620c1:190::/2820c1:19f:ffff:ffff:ffff:ffff:ffff:ffff
2720c1:1a0::/2820c1:1af:ffff:ffff:ffff:ffff:ffff:ffff
2820c1:1b0::/2820c1:1bf:ffff:ffff:ffff:ffff:ffff:ffff
2920c1:1c0::/2820c1:1cf:ffff:ffff:ffff:ffff:ffff:ffff
3020c1:1d0::/2820c1:1df:ffff:ffff:ffff:ffff:ffff:ffff
3120c1:1e0::/2820c1:1ef:ffff:ffff:ffff:ffff:ffff:ffff
3220c1:1f0::/2820c1:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3320c1:200::/2820c1:20f:ffff:ffff:ffff:ffff:ffff:ffff
3420c1:210::/2820c1:21f:ffff:ffff:ffff:ffff:ffff:ffff
3520c1:220::/2820c1:22f:ffff:ffff:ffff:ffff:ffff:ffff
3620c1:230::/2820c1:23f:ffff:ffff:ffff:ffff:ffff:ffff
3720c1:240::/2820c1:24f:ffff:ffff:ffff:ffff:ffff:ffff
3820c1:250::/2820c1:25f:ffff:ffff:ffff:ffff:ffff:ffff
3920c1:260::/2820c1:26f:ffff:ffff:ffff:ffff:ffff:ffff
4020c1:270::/2820c1:27f:ffff:ffff:ffff:ffff:ffff:ffff
4120c1:280::/2820c1:28f:ffff:ffff:ffff:ffff:ffff:ffff
4220c1:290::/2820c1:29f:ffff:ffff:ffff:ffff:ffff:ffff
4320c1:2a0::/2820c1:2af:ffff:ffff:ffff:ffff:ffff:ffff
4420c1:2b0::/2820c1:2bf:ffff:ffff:ffff:ffff:ffff:ffff
4520c1:2c0::/2820c1:2cf:ffff:ffff:ffff:ffff:ffff:ffff
4620c1:2d0::/2820c1:2df:ffff:ffff:ffff:ffff:ffff:ffff
4720c1:2e0::/2820c1:2ef:ffff:ffff:ffff:ffff:ffff:ffff
4820c1:2f0::/2820c1:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4920c1:300::/2820c1:30f:ffff:ffff:ffff:ffff:ffff:ffff
5020c1:310::/2820c1:31f:ffff:ffff:ffff:ffff:ffff:ffff
5120c1:320::/2820c1:32f:ffff:ffff:ffff:ffff:ffff:ffff
5220c1:330::/2820c1:33f:ffff:ffff:ffff:ffff:ffff:ffff
5320c1:340::/2820c1:34f:ffff:ffff:ffff:ffff:ffff:ffff
5420c1:350::/2820c1:35f:ffff:ffff:ffff:ffff:ffff:ffff
5520c1:360::/2820c1:36f:ffff:ffff:ffff:ffff:ffff:ffff
5620c1:370::/2820c1:37f:ffff:ffff:ffff:ffff:ffff:ffff
5720c1:380::/2820c1:38f:ffff:ffff:ffff:ffff:ffff:ffff
5820c1:390::/2820c1:39f:ffff:ffff:ffff:ffff:ffff:ffff
5920c1:3a0::/2820c1:3af:ffff:ffff:ffff:ffff:ffff:ffff
6020c1:3b0::/2820c1:3bf:ffff:ffff:ffff:ffff:ffff:ffff
6120c1:3c0::/2820c1:3cf:ffff:ffff:ffff:ffff:ffff:ffff
6220c1:3d0::/2820c1:3df:ffff:ffff:ffff:ffff:ffff:ffff
6320c1:3e0::/2820c1:3ef:ffff:ffff:ffff:ffff:ffff:ffff
6420c1:3f0::/2820c1:3ff:ffff:ffff:ffff:ffff:ffff:ffff
6520c1:400::/2820c1:40f:ffff:ffff:ffff:ffff:ffff:ffff
6620c1:410::/2820c1:41f:ffff:ffff:ffff:ffff:ffff:ffff
6720c1:420::/2820c1:42f:ffff:ffff:ffff:ffff:ffff:ffff
6820c1:430::/2820c1:43f:ffff:ffff:ffff:ffff:ffff:ffff
6920c1:440::/2820c1:44f:ffff:ffff:ffff:ffff:ffff:ffff
7020c1:450::/2820c1:45f:ffff:ffff:ffff:ffff:ffff:ffff
7120c1:460::/2820c1:46f:ffff:ffff:ffff:ffff:ffff:ffff
7220c1:470::/2820c1:47f:ffff:ffff:ffff:ffff:ffff:ffff
7320c1:480::/2820c1:48f:ffff:ffff:ffff:ffff:ffff:ffff
7420c1:490::/2820c1:49f:ffff:ffff:ffff:ffff:ffff:ffff
7520c1:4a0::/2820c1:4af:ffff:ffff:ffff:ffff:ffff:ffff
7620c1:4b0::/2820c1:4bf:ffff:ffff:ffff:ffff:ffff:ffff
7720c1:4c0::/2820c1:4cf:ffff:ffff:ffff:ffff:ffff:ffff
7820c1:4d0::/2820c1:4df:ffff:ffff:ffff:ffff:ffff:ffff
7920c1:4e0::/2820c1:4ef:ffff:ffff:ffff:ffff:ffff:ffff
8020c1:4f0::/2820c1:4ff:ffff:ffff:ffff:ffff:ffff:ffff
8120c1:500::/2820c1:50f:ffff:ffff:ffff:ffff:ffff:ffff
8220c1:510::/2820c1:51f:ffff:ffff:ffff:ffff:ffff:ffff
8320c1:520::/2820c1:52f:ffff:ffff:ffff:ffff:ffff:ffff
8420c1:530::/2820c1:53f:ffff:ffff:ffff:ffff:ffff:ffff
8520c1:540::/2820c1:54f:ffff:ffff:ffff:ffff:ffff:ffff
8620c1:550::/2820c1:55f:ffff:ffff:ffff:ffff:ffff:ffff
8720c1:560::/2820c1:56f:ffff:ffff:ffff:ffff:ffff:ffff
8820c1:570::/2820c1:57f:ffff:ffff:ffff:ffff:ffff:ffff
8920c1:580::/2820c1:58f:ffff:ffff:ffff:ffff:ffff:ffff
9020c1:590::/2820c1:59f:ffff:ffff:ffff:ffff:ffff:ffff
9120c1:5a0::/2820c1:5af:ffff:ffff:ffff:ffff:ffff:ffff
9220c1:5b0::/2820c1:5bf:ffff:ffff:ffff:ffff:ffff:ffff
9320c1:5c0::/2820c1:5cf:ffff:ffff:ffff:ffff:ffff:ffff
9420c1:5d0::/2820c1:5df:ffff:ffff:ffff:ffff:ffff:ffff
9520c1:5e0::/2820c1:5ef:ffff:ffff:ffff:ffff:ffff:ffff
9620c1:5f0::/2820c1:5ff:ffff:ffff:ffff:ffff:ffff:ffff
9720c1:600::/2820c1:60f:ffff:ffff:ffff:ffff:ffff:ffff
9820c1:610::/2820c1:61f:ffff:ffff:ffff:ffff:ffff:ffff
9920c1:620::/2820c1:62f:ffff:ffff:ffff:ffff:ffff:ffff
10020c1:630::/2820c1:63f:ffff:ffff:ffff:ffff:ffff:ffff
10120c1:640::/2820c1:64f:ffff:ffff:ffff:ffff:ffff:ffff
10220c1:650::/2820c1:65f:ffff:ffff:ffff:ffff:ffff:ffff
10320c1:660::/2820c1:66f:ffff:ffff:ffff:ffff:ffff:ffff
10420c1:670::/2820c1:67f:ffff:ffff:ffff:ffff:ffff:ffff
10520c1:680::/2820c1:68f:ffff:ffff:ffff:ffff:ffff:ffff
10620c1:690::/2820c1:69f:ffff:ffff:ffff:ffff:ffff:ffff
10720c1:6a0::/2820c1:6af:ffff:ffff:ffff:ffff:ffff:ffff
10820c1:6b0::/2820c1:6bf:ffff:ffff:ffff:ffff:ffff:ffff
10920c1:6c0::/2820c1:6cf:ffff:ffff:ffff:ffff:ffff:ffff
11020c1:6d0::/2820c1:6df:ffff:ffff:ffff:ffff:ffff:ffff
11120c1:6e0::/2820c1:6ef:ffff:ffff:ffff:ffff:ffff:ffff
11220c1:6f0::/2820c1:6ff:ffff:ffff:ffff:ffff:ffff:ffff
11320c1:700::/2820c1:70f:ffff:ffff:ffff:ffff:ffff:ffff
11420c1:710::/2820c1:71f:ffff:ffff:ffff:ffff:ffff:ffff
11520c1:720::/2820c1:72f:ffff:ffff:ffff:ffff:ffff:ffff
11620c1:730::/2820c1:73f:ffff:ffff:ffff:ffff:ffff:ffff
11720c1:740::/2820c1:74f:ffff:ffff:ffff:ffff:ffff:ffff
11820c1:750::/2820c1:75f:ffff:ffff:ffff:ffff:ffff:ffff
11920c1:760::/2820c1:76f:ffff:ffff:ffff:ffff:ffff:ffff
12020c1:770::/2820c1:77f:ffff:ffff:ffff:ffff:ffff:ffff
12120c1:780::/2820c1:78f:ffff:ffff:ffff:ffff:ffff:ffff
12220c1:790::/2820c1:79f:ffff:ffff:ffff:ffff:ffff:ffff
12320c1:7a0::/2820c1:7af:ffff:ffff:ffff:ffff:ffff:ffff
12420c1:7b0::/2820c1:7bf:ffff:ffff:ffff:ffff:ffff:ffff
12520c1:7c0::/2820c1:7cf:ffff:ffff:ffff:ffff:ffff:ffff
12620c1:7d0::/2820c1:7df:ffff:ffff:ffff:ffff:ffff:ffff
12720c1:7e0::/2820c1:7ef:ffff:ffff:ffff:ffff:ffff:ffff
12820c1:7f0::/2820c1:7ff:ffff:ffff:ffff:ffff:ffff:ffff
12920c1:800::/2820c1:80f:ffff:ffff:ffff:ffff:ffff:ffff
13020c1:810::/2820c1:81f:ffff:ffff:ffff:ffff:ffff:ffff
13120c1:820::/2820c1:82f:ffff:ffff:ffff:ffff:ffff:ffff
13220c1:830::/2820c1:83f:ffff:ffff:ffff:ffff:ffff:ffff
13320c1:840::/2820c1:84f:ffff:ffff:ffff:ffff:ffff:ffff
13420c1:850::/2820c1:85f:ffff:ffff:ffff:ffff:ffff:ffff
13520c1:860::/2820c1:86f:ffff:ffff:ffff:ffff:ffff:ffff
13620c1:870::/2820c1:87f:ffff:ffff:ffff:ffff:ffff:ffff
13720c1:880::/2820c1:88f:ffff:ffff:ffff:ffff:ffff:ffff
13820c1:890::/2820c1:89f:ffff:ffff:ffff:ffff:ffff:ffff
13920c1:8a0::/2820c1:8af:ffff:ffff:ffff:ffff:ffff:ffff
14020c1:8b0::/2820c1:8bf:ffff:ffff:ffff:ffff:ffff:ffff
14120c1:8c0::/2820c1:8cf:ffff:ffff:ffff:ffff:ffff:ffff
14220c1:8d0::/2820c1:8df:ffff:ffff:ffff:ffff:ffff:ffff
14320c1:8e0::/2820c1:8ef:ffff:ffff:ffff:ffff:ffff:ffff
14420c1:8f0::/2820c1:8ff:ffff:ffff:ffff:ffff:ffff:ffff
14520c1:900::/2820c1:90f:ffff:ffff:ffff:ffff:ffff:ffff
14620c1:910::/2820c1:91f:ffff:ffff:ffff:ffff:ffff:ffff
14720c1:920::/2820c1:92f:ffff:ffff:ffff:ffff:ffff:ffff
14820c1:930::/2820c1:93f:ffff:ffff:ffff:ffff:ffff:ffff
14920c1:940::/2820c1:94f:ffff:ffff:ffff:ffff:ffff:ffff
15020c1:950::/2820c1:95f:ffff:ffff:ffff:ffff:ffff:ffff
15120c1:960::/2820c1:96f:ffff:ffff:ffff:ffff:ffff:ffff
15220c1:970::/2820c1:97f:ffff:ffff:ffff:ffff:ffff:ffff
15320c1:980::/2820c1:98f:ffff:ffff:ffff:ffff:ffff:ffff
15420c1:990::/2820c1:99f:ffff:ffff:ffff:ffff:ffff:ffff
15520c1:9a0::/2820c1:9af:ffff:ffff:ffff:ffff:ffff:ffff
15620c1:9b0::/2820c1:9bf:ffff:ffff:ffff:ffff:ffff:ffff
15720c1:9c0::/2820c1:9cf:ffff:ffff:ffff:ffff:ffff:ffff
15820c1:9d0::/2820c1:9df:ffff:ffff:ffff:ffff:ffff:ffff
15920c1:9e0::/2820c1:9ef:ffff:ffff:ffff:ffff:ffff:ffff
16020c1:9f0::/2820c1:9ff:ffff:ffff:ffff:ffff:ffff:ffff
16120c1:a00::/2820c1:a0f:ffff:ffff:ffff:ffff:ffff:ffff
16220c1:a10::/2820c1:a1f:ffff:ffff:ffff:ffff:ffff:ffff
16320c1:a20::/2820c1:a2f:ffff:ffff:ffff:ffff:ffff:ffff
16420c1:a30::/2820c1:a3f:ffff:ffff:ffff:ffff:ffff:ffff
16520c1:a40::/2820c1:a4f:ffff:ffff:ffff:ffff:ffff:ffff
16620c1:a50::/2820c1:a5f:ffff:ffff:ffff:ffff:ffff:ffff
16720c1:a60::/2820c1:a6f:ffff:ffff:ffff:ffff:ffff:ffff
16820c1:a70::/2820c1:a7f:ffff:ffff:ffff:ffff:ffff:ffff
16920c1:a80::/2820c1:a8f:ffff:ffff:ffff:ffff:ffff:ffff
17020c1:a90::/2820c1:a9f:ffff:ffff:ffff:ffff:ffff:ffff
17120c1:aa0::/2820c1:aaf:ffff:ffff:ffff:ffff:ffff:ffff
17220c1:ab0::/2820c1:abf:ffff:ffff:ffff:ffff:ffff:ffff
17320c1:ac0::/2820c1:acf:ffff:ffff:ffff:ffff:ffff:ffff
17420c1:ad0::/2820c1:adf:ffff:ffff:ffff:ffff:ffff:ffff
17520c1:ae0::/2820c1:aef:ffff:ffff:ffff:ffff:ffff:ffff
17620c1:af0::/2820c1:aff:ffff:ffff:ffff:ffff:ffff:ffff
17720c1:b00::/2820c1:b0f:ffff:ffff:ffff:ffff:ffff:ffff
17820c1:b10::/2820c1:b1f:ffff:ffff:ffff:ffff:ffff:ffff
17920c1:b20::/2820c1:b2f:ffff:ffff:ffff:ffff:ffff:ffff
18020c1:b30::/2820c1:b3f:ffff:ffff:ffff:ffff:ffff:ffff
18120c1:b40::/2820c1:b4f:ffff:ffff:ffff:ffff:ffff:ffff
18220c1:b50::/2820c1:b5f:ffff:ffff:ffff:ffff:ffff:ffff
18320c1:b60::/2820c1:b6f:ffff:ffff:ffff:ffff:ffff:ffff
18420c1:b70::/2820c1:b7f:ffff:ffff:ffff:ffff:ffff:ffff
18520c1:b80::/2820c1:b8f:ffff:ffff:ffff:ffff:ffff:ffff
18620c1:b90::/2820c1:b9f:ffff:ffff:ffff:ffff:ffff:ffff
18720c1:ba0::/2820c1:baf:ffff:ffff:ffff:ffff:ffff:ffff
18820c1:bb0::/2820c1:bbf:ffff:ffff:ffff:ffff:ffff:ffff
18920c1:bc0::/2820c1:bcf:ffff:ffff:ffff:ffff:ffff:ffff
19020c1:bd0::/2820c1:bdf:ffff:ffff:ffff:ffff:ffff:ffff
19120c1:be0::/2820c1:bef:ffff:ffff:ffff:ffff:ffff:ffff
19220c1:bf0::/2820c1:bff:ffff:ffff:ffff:ffff:ffff:ffff
19320c1:c00::/2820c1:c0f:ffff:ffff:ffff:ffff:ffff:ffff
19420c1:c10::/2820c1:c1f:ffff:ffff:ffff:ffff:ffff:ffff
19520c1:c20::/2820c1:c2f:ffff:ffff:ffff:ffff:ffff:ffff
19620c1:c30::/2820c1:c3f:ffff:ffff:ffff:ffff:ffff:ffff
19720c1:c40::/2820c1:c4f:ffff:ffff:ffff:ffff:ffff:ffff
19820c1:c50::/2820c1:c5f:ffff:ffff:ffff:ffff:ffff:ffff
19920c1:c60::/2820c1:c6f:ffff:ffff:ffff:ffff:ffff:ffff
20020c1:c70::/2820c1:c7f:ffff:ffff:ffff:ffff:ffff:ffff
20120c1:c80::/2820c1:c8f:ffff:ffff:ffff:ffff:ffff:ffff
20220c1:c90::/2820c1:c9f:ffff:ffff:ffff:ffff:ffff:ffff
20320c1:ca0::/2820c1:caf:ffff:ffff:ffff:ffff:ffff:ffff
20420c1:cb0::/2820c1:cbf:ffff:ffff:ffff:ffff:ffff:ffff
20520c1:cc0::/2820c1:ccf:ffff:ffff:ffff:ffff:ffff:ffff
20620c1:cd0::/2820c1:cdf:ffff:ffff:ffff:ffff:ffff:ffff
20720c1:ce0::/2820c1:cef:ffff:ffff:ffff:ffff:ffff:ffff
20820c1:cf0::/2820c1:cff:ffff:ffff:ffff:ffff:ffff:ffff
20920c1:d00::/2820c1:d0f:ffff:ffff:ffff:ffff:ffff:ffff
21020c1:d10::/2820c1:d1f:ffff:ffff:ffff:ffff:ffff:ffff
21120c1:d20::/2820c1:d2f:ffff:ffff:ffff:ffff:ffff:ffff
21220c1:d30::/2820c1:d3f:ffff:ffff:ffff:ffff:ffff:ffff
21320c1:d40::/2820c1:d4f:ffff:ffff:ffff:ffff:ffff:ffff
21420c1:d50::/2820c1:d5f:ffff:ffff:ffff:ffff:ffff:ffff
21520c1:d60::/2820c1:d6f:ffff:ffff:ffff:ffff:ffff:ffff
21620c1:d70::/2820c1:d7f:ffff:ffff:ffff:ffff:ffff:ffff
21720c1:d80::/2820c1:d8f:ffff:ffff:ffff:ffff:ffff:ffff
21820c1:d90::/2820c1:d9f:ffff:ffff:ffff:ffff:ffff:ffff
21920c1:da0::/2820c1:daf:ffff:ffff:ffff:ffff:ffff:ffff
22020c1:db0::/2820c1:dbf:ffff:ffff:ffff:ffff:ffff:ffff
22120c1:dc0::/2820c1:dcf:ffff:ffff:ffff:ffff:ffff:ffff
22220c1:dd0::/2820c1:ddf:ffff:ffff:ffff:ffff:ffff:ffff
22320c1:de0::/2820c1:def:ffff:ffff:ffff:ffff:ffff:ffff
22420c1:df0::/2820c1:dff:ffff:ffff:ffff:ffff:ffff:ffff
22520c1:e00::/2820c1:e0f:ffff:ffff:ffff:ffff:ffff:ffff
22620c1:e10::/2820c1:e1f:ffff:ffff:ffff:ffff:ffff:ffff
22720c1:e20::/2820c1:e2f:ffff:ffff:ffff:ffff:ffff:ffff
22820c1:e30::/2820c1:e3f:ffff:ffff:ffff:ffff:ffff:ffff
22920c1:e40::/2820c1:e4f:ffff:ffff:ffff:ffff:ffff:ffff
23020c1:e50::/2820c1:e5f:ffff:ffff:ffff:ffff:ffff:ffff
23120c1:e60::/2820c1:e6f:ffff:ffff:ffff:ffff:ffff:ffff
23220c1:e70::/2820c1:e7f:ffff:ffff:ffff:ffff:ffff:ffff
23320c1:e80::/2820c1:e8f:ffff:ffff:ffff:ffff:ffff:ffff
23420c1:e90::/2820c1:e9f:ffff:ffff:ffff:ffff:ffff:ffff
23520c1:ea0::/2820c1:eaf:ffff:ffff:ffff:ffff:ffff:ffff
23620c1:eb0::/2820c1:ebf:ffff:ffff:ffff:ffff:ffff:ffff
23720c1:ec0::/2820c1:ecf:ffff:ffff:ffff:ffff:ffff:ffff
23820c1:ed0::/2820c1:edf:ffff:ffff:ffff:ffff:ffff:ffff
23920c1:ee0::/2820c1:eef:ffff:ffff:ffff:ffff:ffff:ffff
24020c1:ef0::/2820c1:eff:ffff:ffff:ffff:ffff:ffff:ffff
24120c1:f00::/2820c1:f0f:ffff:ffff:ffff:ffff:ffff:ffff
24220c1:f10::/2820c1:f1f:ffff:ffff:ffff:ffff:ffff:ffff
24320c1:f20::/2820c1:f2f:ffff:ffff:ffff:ffff:ffff:ffff
24420c1:f30::/2820c1:f3f:ffff:ffff:ffff:ffff:ffff:ffff
24520c1:f40::/2820c1:f4f:ffff:ffff:ffff:ffff:ffff:ffff
24620c1:f50::/2820c1:f5f:ffff:ffff:ffff:ffff:ffff:ffff
24720c1:f60::/2820c1:f6f:ffff:ffff:ffff:ffff:ffff:ffff
24820c1:f70::/2820c1:f7f:ffff:ffff:ffff:ffff:ffff:ffff
24920c1:f80::/2820c1:f8f:ffff:ffff:ffff:ffff:ffff:ffff
25020c1:f90::/2820c1:f9f:ffff:ffff:ffff:ffff:ffff:ffff
25120c1:fa0::/2820c1:faf:ffff:ffff:ffff:ffff:ffff:ffff
25220c1:fb0::/2820c1:fbf:ffff:ffff:ffff:ffff:ffff:ffff
25320c1:fc0::/2820c1:fcf:ffff:ffff:ffff:ffff:ffff:ffff
25420c1:fd0::/2820c1:fdf:ffff:ffff:ffff:ffff:ffff:ffff
25520c1:fe0::/2820c1:fef:ffff:ffff:ffff:ffff:ffff:ffff
25620c1:ff0::/2820c1:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses